program NewBase;

uses DOS,Crt,FManage,MyTools;

const
 FileOffset  = $82;
 BytesToRead = ($100-$82)+1;

var
 SourceF, TargetF: PathStr;
 SF,TF: File;
 Buffer: Pointer;
 Fact: Word;

procedure SayHelp;
begin
 WriteLn;
 WriteLn('       ⥬ "H"');
 WriteLn('Copyright (C) 1994 MegaProduct SoftWare. All rights reserved');
 WriteLn;
 WriteLn('ᯮ짮 pp:');
 WriteLn('  NEWBASE  [ DT-䠩  ]  [ 䠩-p]');
 WriteLn;
 WriteLn('p pp -  䠩    pp .DT');
 WriteLn('p pp -  䠩, ᯮ㥬  ⢥ p');
 WriteLn('                  ( 㬮砭 EXAMPLE\EXAMPLE.DT)');
end;

begin
 if (ParamCount=0) or (Pos('?',ParamStr(1))<>0) then begin
  SayHelp;
  Halt(255);
 end;
 TargetF:=StringUpCase(ParamStr(1));
 SourceF:='EXAMPLE\EXAMPLE.DT';
 if ParamCount>1 then SourceF:=StringUpCase(ParamStr(2));

 if not FileExist(SourceF) then begin
  WriteLn(' '+SourceF+'   !!!');
  Halt(255);
 end;
 if not FileExist(TargetF) then begin
  WriteLn(' '+TargetF+'   !!!');
  Halt(255);
 end;

 Assign(TF,TargetF);
 {$I-} Reset(TF,1); {$I+}
 if IOResult<>0 then begin
  WriteLn('訡 p 䠩 '+TargetF);
  Halt(255);
 end;

 Assign(SF,SourceF);
 {$I-} Reset(SF,1); {$I+}
 if IOResult<>0 then begin
  WriteLn('訡 p 䠩 '+SourceF);
  Halt(255);
 end;

 GetMem(Buffer,BytesToRead);
 Seek(SF,FileOffset);
 BlockRead(SF,Buffer^,BytesToRead,Fact);
 Seek(TF,FileOffset);
 BlockWrite(TF,Buffer^,BytesToRead,Fact);
 FreeMem(Buffer,BytesToRead);
 if Fact<>BytesToRead then
  WriteLn('訡   䠩 '+TargetF)
 else
  WriteLn('   !');

 Close(SF); Close(TF);
end.